Console Output

Started by upstream project "CE_gpkit_Push_pylint" build number 15
originally caused by:
 Started by GitHub push by bqpd
 Started by GitHub push by bqpd
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on reynolds in workspace /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/gpkit
 > git init /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gpkit
 > git --version # timeout=10
 > git --version # 'git version 2.25.1'
using GIT_SSH to set credentials 
 > git fetch --tags --force --progress -- https://github.com/convexengineering/gpkit +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gpkit # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
Avoid second fetch
Checking out Revision 16bf25ba1961f13386681e97741390a02beb54d3 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 16bf25ba1961f13386681e97741390a02beb54d3 # timeout=10
Commit message: "add SolutionEnsemble, err_on_relax for SGPs (#1568)"
 > git rev-list --no-walk a3e5fc25cf526f0be9fe2fbb8f45df177e27e40a # timeout=10
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
 > git rev-parse 16bf25ba1961f13386681e97741390a02beb54d3^{commit} # timeout=10
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
[GitCheckoutListener] Recording commits of 'git https://github.com/convexengineering/gpkit'
[GitCheckoutListener] Found previous build 'CE_gpkit_Push_pylint/buildnode=reynolds,optimizer=cvxopt #14' that contains recorded Git commits
[GitCheckoutListener] -> Starting recording of new commits since 'a3e5fc2'
[GitCheckoutListener] -> Using head commit '16bf25b' as starting point
[GitCheckoutListener] -> Git commit decorator successfully obtained 'hudson.plugins.git.browser.GithubWeb@5cefe58e' to render commit links
[GitCheckoutListener] -> Recorded one new commit
Run condition [Execution node ] enabling prebuild for step [Execute shell]
[Set GitHub commit status (universal)] PENDING on repos [GHRepository@6972897c[nodeId=MDEwOlJlcG9zaXRvcnkyMDk1NDI0Ng==,description=Geometric programming for engineers,homepage=http://gpkit.readthedocs.org,name=gpkit,fork=false,archived=false,visibility=public,size=44031,milestones={},language=Python,commits={},source=<null>,parent=<null>,isTemplate=false,compareUsePaginatedCommits=false,url=https://api.github.com/repos/convexengineering/gpkit,id=20954246,nodeId=<null>,createdAt=2014-06-18T08:04:06Z,updatedAt=2022-02-02T22:39:47Z]] (sha:16bf25b) with context:CE_gpkit_Push_pylint/buildnode=reynolds,optimizer=cvxopt
Setting commit status on GitHub for https://github.com/convexengineering/gpkit/commit/16bf25ba1961f13386681e97741390a02beb54d3
[Execution node] check if [reynolds] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[cvxopt] $ /bin/bash -xe /tmp/jenkins4328731883289672178.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/gpkit_pylint.sh
++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/all_machines.sh
+++ export PYTHONHASHSEED=0
+++ PYTHONHASHSEED=0
+++ echo 'Python hash seed set to: 0'
Python hash seed set to: 0
+++ [[ reynolds == *macys* ]]
+++ [[ reynolds == *reynolds* ]]
+++ export CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ export PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ virtualenv --python=python3 /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins
created virtual environment CPython3.8.10.final.0-64 in 184ms
  creator CPython3Posix(dest=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins, clear=False, global=False)
  seeder FromAppData(download=False, pip=latest, setuptools=latest, wheel=latest, pkg_resources=latest, via=copy, app_data_dir=/home/jenkins/.local/share/virtualenv/seed-app-data/v1.0.1.debian.1)
  activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator,XonshActivator
+++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/activate
++++ '[' /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/activate = /tmp/jenkins4328731883289672178.sh ']'
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ '[' -n /bin/bash ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ PATH=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin:/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins
++++ PS1='(venv_jenkins) '
++++ export PS1
++++ alias pydoc
++++ true
++++ '[' -n /bin/bash ']'
++++ hash -r
+++ ls /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt
CODE_OF_CONDUCT.md
docs
fulltests.sh
gpkit
JenkinsGPkit
LICENSE
linecount.sh
MANIFEST
pylint.sh
README.md
rtd_requirements.txt
runtests.sh
setup.py
venv_jenkins
++++ which pip
+++ export PIP=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip
+++ PIP=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip
+++ pip_install pip
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade pip
Collecting pip
  Using cached pip-22.0.4-py3-none-any.whl (2.1 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.0.2
    Uninstalling pip-20.0.2:
      Successfully uninstalled pip-20.0.2
Successfully installed pip-22.0.4

real	0m3.539s
user	0m3.027s
sys	0m0.399s
++ export optimizer=mosek
++ optimizer=mosek
++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/mosek_installs.sh
+++ [[ mosek == mosek ]]
+++ [[ reynolds == *reynolds* ]]
+++ export PATH=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin:/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/jenkins/mosek/9.1/tools/platform/linux64x86/bin
+++ PATH=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin:/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/home/jenkins/mosek/9.1/tools/platform/linux64x86/bin
+++ python /home/jenkins/mosek/9.1/tools/platform/linux64x86/python/3/setup.py install
running install
running build
running build_py
running build_ext
copying mosek/_msk.abi3.so -> build/lib.linux-x86_64-3.8/mosek
copying mosek/fusion/impl/fragments.abi3.so -> build/lib.linux-x86_64-3.8/mosek/fusion/impl
running install_lib
creating /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek
copying build/lib.linux-x86_64-3.8/mosek/__init__.py -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek
copying build/lib.linux-x86_64-3.8/mosek/_msk.abi3.so -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek
creating /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion
copying build/lib.linux-x86_64-3.8/mosek/fusion/__init__.py -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion
copying build/lib.linux-x86_64-3.8/mosek/fusion/Utils.py -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion
creating /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl
copying build/lib.linux-x86_64-3.8/mosek/fusion/impl/fragments.abi3.so -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl
copying build/lib.linux-x86_64-3.8/mosek/fusion/impl/__init__.py -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl
copying build/lib.linux-x86_64-3.8/mosek/fusion/impl/_implementation.py -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl
byte-compiling /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/__init__.py to __init__.cpython-38.pyc
byte-compiling /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/__init__.py to __init__.cpython-38.pyc
byte-compiling /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/Utils.py to Utils.cpython-38.pyc
byte-compiling /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl/__init__.py to __init__.cpython-38.pyc
byte-compiling /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/fusion/impl/_implementation.py to _implementation.cpython-38.pyc
running install_egg_info
Writing /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/Mosek-9.1.11.egg-info
Fixing library paths
copying /home/jenkins/mosek/9.1/tools/platform/linux64x86/bin/libcilkrts.so.5 -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/
copying /home/jenkins/mosek/9.1/tools/platform/linux64x86/bin/libmosek64.so.9.1 -> /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/
Installing preloader module
writing /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/lib/python3.8/site-packages/mosek/_mskpreload.py
+++ msktestlic
Mosek license manager: License path: /home/jenkins/mosek/mosek.lic
Mosek license manager:  Checkout license feature 'PTS' from flexlm.
Mosek license manager:  Checkout time 0.02. r: 0 status: 0
Problem
  Name                   :                 
  Objective sense        : min             
  Type                   : LO (linear optimization problem)
  Constraints            : 1               
  Cones                  : 0               
  Scalar variables       : 5000            
  Matrix variables       : 0               
  Integer variables      : 0               

Optimizer started.
Presolve started.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator - tries                  : 2                 time                   : 0.00            
Lin. dep.  - tries                  : 0                 time                   : 0.00            
Lin. dep.  - number                 : 0               
Presolve terminated. Time: 0.00    
Optimizer terminated. Time: 0.02    

************************************
A license was checked out correctly.
************************************
+++ export 'GPKITSOLVERS=mosek_cli, mosek_conif'
+++ GPKITSOLVERS='mosek_cli, mosek_conif'
+++ COVERAGE_OMIT=gpkit/solvers/cvxopt.py
++ export optimizer=cvxopt
++ optimizer=cvxopt
++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/cvxopt_installs.sh
+++ [[ cvxopt == cvxopt ]]
+++ pip_install cvxopt
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade cvxopt
Collecting cvxopt
  Using cached cvxopt-1.3.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (12.7 MB)
Installing collected packages: cvxopt
Successfully installed cvxopt-1.3.0

real	0m1.719s
user	0m1.294s
sys	0m0.164s
+++ python -c 'import cvxopt'
+++ export GPKITSOLVERS=cvxopt
+++ GPKITSOLVERS=cvxopt
+++ COVERAGE_OMIT='gpkit/solvers/mosek*'
++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/pip_installs_base.sh
+++ pip_install adce
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade adce
Collecting adce
  Using cached adce-1.3.3.2-py3-none-any.whl
Installing collected packages: adce
Successfully installed adce-1.3.3.2

real	0m0.899s
user	0m0.781s
sys	0m0.070s
+++ pip_install unittest-xml-reporting
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade unittest-xml-reporting
Collecting unittest-xml-reporting
  Using cached unittest_xml_reporting-3.2.0-py2.py3-none-any.whl (20 kB)
Collecting lxml
  Using cached lxml-4.8.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml, unittest-xml-reporting
Successfully installed lxml-4.8.0 unittest-xml-reporting-3.2.0

real	0m1.692s
user	0m1.415s
sys	0m0.148s
+++ pip_install pandas
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade pandas
Collecting pandas
  Using cached pandas-1.4.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (11.7 MB)
Collecting pytz>=2020.1
  Downloading pytz-2022.1-py2.py3-none-any.whl (503 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 503.5/503.5 KB 4.7 MB/s eta 0:00:00
Collecting numpy>=1.18.5
  Using cached numpy-1.22.3-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (16.8 MB)
Collecting python-dateutil>=2.8.1
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting six>=1.5
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Installing collected packages: pytz, six, numpy, python-dateutil, pandas
Successfully installed numpy-1.22.3 pandas-1.4.1 python-dateutil-2.8.2 pytz-2022.1 six-1.16.0

real	0m10.810s
user	0m8.500s
sys	0m0.987s
+++ pip_install matplotlib
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade matplotlib
Collecting matplotlib
  Using cached matplotlib-3.5.1-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (11.3 MB)
Collecting fonttools>=4.22.0
  Downloading fonttools-4.31.2-py3-none-any.whl (899 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 899.5/899.5 KB 6.5 MB/s eta 0:00:00
Requirement already satisfied: numpy>=1.17 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (1.22.3)
Collecting kiwisolver>=1.0.1
  Downloading kiwisolver-1.4.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (1.2 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.2/1.2 MB 4.7 MB/s eta 0:00:00
Collecting cycler>=0.10
  Using cached cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting pillow>=6.2.0
  Using cached Pillow-9.0.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.3 MB)
Collecting pyparsing>=2.2.1
  Using cached pyparsing-3.0.7-py3-none-any.whl (98 kB)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (2.8.2)
Collecting packaging>=20.0
  Using cached packaging-21.3-py3-none-any.whl (40 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib) (1.16.0)
Installing collected packages: pyparsing, pillow, kiwisolver, fonttools, cycler, packaging, matplotlib
Successfully installed cycler-0.11.0 fonttools-4.31.2 kiwisolver-1.4.2 matplotlib-3.5.1 packaging-21.3 pillow-9.0.1 pyparsing-3.0.7

real	0m8.528s
user	0m5.316s
sys	0m0.524s
+++ pip_install coverage
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade coverage
Collecting coverage
  Using cached coverage-6.3.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (212 kB)
Installing collected packages: coverage
Successfully installed coverage-6.3.2

real	0m2.043s
user	0m1.584s
sys	0m0.110s
+++ pip_install ipywidgets
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade ipywidgets
Collecting ipywidgets
  Using cached ipywidgets-7.7.0-py2.py3-none-any.whl (123 kB)
Collecting traitlets>=4.3.1
  Using cached traitlets-5.1.1-py3-none-any.whl (102 kB)
Collecting nbformat>=4.2.0
  Using cached nbformat-5.2.0-py3-none-any.whl (74 kB)
Collecting ipython>=4.0.0
  Downloading ipython-8.2.0-py3-none-any.whl (750 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 750.7/750.7 KB 5.8 MB/s eta 0:00:00
Collecting widgetsnbextension~=3.6.0
  Downloading widgetsnbextension-3.6.0-py2.py3-none-any.whl (1.6 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.6/1.6 MB 6.6 MB/s eta 0:00:00
Collecting ipykernel>=4.5.1
  Downloading ipykernel-6.10.0-py3-none-any.whl (130 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 130.2/130.2 KB 1.2 MB/s eta 0:00:00
Collecting jupyterlab-widgets>=1.0.0
  Downloading jupyterlab_widgets-1.1.0-py3-none-any.whl (245 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 245.1/245.1 KB 2.4 MB/s eta 0:00:00
Collecting ipython-genutils~=0.2.0
  Using cached ipython_genutils-0.2.0-py2.py3-none-any.whl (26 kB)
Collecting psutil
  Using cached psutil-5.9.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (283 kB)
Collecting jupyter-client<8.0
  Downloading jupyter_client-7.2.0-py3-none-any.whl (130 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 130.5/130.5 KB 2.6 MB/s eta 0:00:00
Collecting tornado<7.0,>=5.0
  Using cached tornado-6.1-cp38-cp38-manylinux2010_x86_64.whl (427 kB)
Collecting nest-asyncio
  Using cached nest_asyncio-1.5.4-py3-none-any.whl (5.1 kB)
Collecting matplotlib-inline<0.2.0,>=0.1.0
  Using cached matplotlib_inline-0.1.3-py3-none-any.whl (8.2 kB)
Collecting debugpy<2.0,>=1.0.0
  Downloading debugpy-1.6.0-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.8 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.8/1.8 MB 4.1 MB/s eta 0:00:00
Collecting backcall
  Using cached backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
  Using cached prompt_toolkit-3.0.28-py3-none-any.whl (380 kB)
Collecting stack-data
  Using cached stack_data-0.2.0-py3-none-any.whl (21 kB)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets) (44.0.0)
Collecting pexpect>4.3
  Using cached pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting decorator
  Using cached decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting jedi>=0.16
  Using cached jedi-0.18.1-py2.py3-none-any.whl (1.6 MB)
Collecting pickleshare
  Using cached pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Collecting pygments>=2.4.0
  Using cached Pygments-2.11.2-py3-none-any.whl (1.1 MB)
Collecting jupyter-core
  Using cached jupyter_core-4.9.2-py3-none-any.whl (86 kB)
Collecting jsonschema!=2.5.0,>=2.4
  Using cached jsonschema-4.4.0-py3-none-any.whl (72 kB)
Collecting notebook>=4.4.1
  Downloading notebook-6.4.10-py3-none-any.whl (9.9 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 9.9/9.9 MB 9.9 MB/s eta 0:00:00
Collecting parso<0.9.0,>=0.8.0
  Using cached parso-0.8.3-py2.py3-none-any.whl (100 kB)
Collecting importlib-resources>=1.4.0
  Downloading importlib_resources-5.6.0-py3-none-any.whl (28 kB)
Collecting attrs>=17.4.0
  Using cached attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0
  Using cached pyrsistent-0.18.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (119 kB)
Collecting pyzmq>=17
  Using cached pyzmq-22.3.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.1 MB)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (2.8.2)
Collecting entrypoints
  Using cached entrypoints-0.4-py3-none-any.whl (5.3 kB)
Collecting nbconvert>=5
  Downloading nbconvert-6.4.5-py3-none-any.whl (561 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 561.4/561.4 KB 4.1 MB/s eta 0:00:00
Collecting terminado>=0.8.3
  Using cached terminado-0.13.3-py3-none-any.whl (14 kB)
Collecting jinja2
  Downloading Jinja2-3.1.1-py3-none-any.whl (132 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 132.6/132.6 KB 1.2 MB/s eta 0:00:00
Collecting argon2-cffi
  Using cached argon2_cffi-21.3.0-py3-none-any.whl (14 kB)
Collecting Send2Trash>=1.8.0
  Using cached Send2Trash-1.8.0-py3-none-any.whl (18 kB)
Collecting prometheus-client
  Using cached prometheus_client-0.13.1-py3-none-any.whl (57 kB)
Collecting ptyprocess>=0.5
  Using cached ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Collecting pure-eval
  Using cached pure_eval-0.2.2-py3-none-any.whl (11 kB)
Collecting executing
  Using cached executing-0.8.3-py2.py3-none-any.whl (16 kB)
Collecting asttokens
  Using cached asttokens-2.0.5-py2.py3-none-any.whl (20 kB)
Collecting zipp>=3.1.0
  Using cached zipp-3.7.0-py3-none-any.whl (5.3 kB)
Collecting pandocfilters>=1.4.1
  Using cached pandocfilters-1.5.0-py2.py3-none-any.whl (8.7 kB)
Collecting bleach
  Using cached bleach-4.1.0-py2.py3-none-any.whl (157 kB)
Collecting defusedxml
  Using cached defusedxml-0.7.1-py2.py3-none-any.whl (25 kB)
Collecting mistune<2,>=0.8.1
  Using cached mistune-0.8.4-py2.py3-none-any.whl (16 kB)
Collecting nbclient<0.6.0,>=0.5.0
  Downloading nbclient-0.5.13-py3-none-any.whl (70 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 70.6/70.6 KB 768.0 kB/s eta 0:00:00
Collecting MarkupSafe>=2.0
  Downloading MarkupSafe-2.1.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (25 kB)
Collecting beautifulsoup4
  Downloading beautifulsoup4-4.10.0-py3-none-any.whl (97 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 97.4/97.4 KB 2.0 MB/s eta 0:00:00
Collecting jupyterlab-pygments
  Using cached jupyterlab_pygments-0.1.2-py2.py3-none-any.whl (4.6 kB)
Collecting testpath
  Using cached testpath-0.6.0-py3-none-any.whl (83 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (1.16.0)
Collecting argon2-cffi-bindings
  Using cached argon2_cffi_bindings-21.2.0-cp36-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (86 kB)
Collecting cffi>=1.0.1
  Using cached cffi-1.15.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (446 kB)
Collecting soupsieve>1.2
  Downloading soupsieve-2.3.1-py3-none-any.whl (37 kB)
Collecting webencodings
  Using cached webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets) (21.3)
Collecting pycparser
  Using cached pycparser-2.21-py2.py3-none-any.whl (118 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets) (3.0.7)
Installing collected packages: webencodings, wcwidth, Send2Trash, pure-eval, ptyprocess, pickleshare, mistune, ipython-genutils, executing, backcall, zipp, traitlets, tornado, testpath, soupsieve, pyzmq, pyrsistent, pygments, pycparser, psutil, prompt-toolkit, prometheus-client, pexpect, parso, pandocfilters, nest-asyncio, MarkupSafe, jupyterlab-widgets, entrypoints, defusedxml, decorator, debugpy, attrs, asttokens, terminado, stack-data, matplotlib-inline, jupyterlab-pygments, jupyter-core, jinja2, jedi, importlib-resources, cffi, bleach, beautifulsoup4, jupyter-client, jsonschema, ipython, argon2-cffi-bindings, nbformat, ipykernel, argon2-cffi, nbclient, nbconvert, notebook, widgetsnbextension, ipywidgets
Successfully installed MarkupSafe-2.1.1 Send2Trash-1.8.0 argon2-cffi-21.3.0 argon2-cffi-bindings-21.2.0 asttokens-2.0.5 attrs-21.4.0 backcall-0.2.0 beautifulsoup4-4.10.0 bleach-4.1.0 cffi-1.15.0 debugpy-1.6.0 decorator-5.1.1 defusedxml-0.7.1 entrypoints-0.4 executing-0.8.3 importlib-resources-5.6.0 ipykernel-6.10.0 ipython-8.2.0 ipython-genutils-0.2.0 ipywidgets-7.7.0 jedi-0.18.1 jinja2-3.1.1 jsonschema-4.4.0 jupyter-client-7.2.0 jupyter-core-4.9.2 jupyterlab-pygments-0.1.2 jupyterlab-widgets-1.1.0 matplotlib-inline-0.1.3 mistune-0.8.4 nbclient-0.5.13 nbconvert-6.4.5 nbformat-5.2.0 nest-asyncio-1.5.4 notebook-6.4.10 pandocfilters-1.5.0 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 prometheus-client-0.13.1 prompt-toolkit-3.0.28 psutil-5.9.0 ptyprocess-0.7.0 pure-eval-0.2.2 pycparser-2.21 pygments-2.11.2 pyrsistent-0.18.1 pyzmq-22.3.0 soupsieve-2.3.1 stack-data-0.2.0 terminado-0.13.3 testpath-0.6.0 tornado-6.1 traitlets-5.1.1 wcwidth-0.2.5 webencodings-0.5.1 widgetsnbextension-3.6.0 zipp-3.7.0

real	0m25.267s
user	0m13.706s
sys	0m1.168s
+++ pip_install ipysankeywidget
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade ipysankeywidget
Collecting ipysankeywidget
  Using cached ipysankeywidget-0.4.1-py2.py3-none-any.whl (1.2 MB)
Requirement already satisfied: ipywidgets>=7.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipysankeywidget) (7.7.0)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: nbformat>=4.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.2.0)
Requirement already satisfied: ipython>=4.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (8.2.0)
Requirement already satisfied: widgetsnbextension~=3.6.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (3.6.0)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (6.10.0)
Requirement already satisfied: jupyterlab-widgets>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (1.1.0)
Requirement already satisfied: ipython-genutils~=0.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: psutil in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (5.9.0)
Requirement already satisfied: jupyter-client<8.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (7.2.0)
Requirement already satisfied: tornado<7.0,>=5.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (6.1)
Requirement already satisfied: nest-asyncio in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.4)
Requirement already satisfied: matplotlib-inline<0.2.0,>=0.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.3)
Requirement already satisfied: debugpy<2.0,>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.6.0)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.28)
Requirement already satisfied: stack-data in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (44.0.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.0)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.5)
Requirement already satisfied: pygments>=2.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (2.11.2)
Requirement already satisfied: jupyter-core in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.9.2)
Requirement already satisfied: jsonschema!=2.5.0,>=2.4 in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.4.0)
Requirement already satisfied: notebook>=4.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (6.4.10)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from jedi>=0.16->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: importlib-resources>=1.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (5.6.0)
Requirement already satisfied: attrs>=17.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (21.4.0)
Requirement already satisfied: pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: pyzmq>=17 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (22.3.0)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (2.8.2)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.4)
Requirement already satisfied: nbconvert>=5 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (6.4.5)
Requirement already satisfied: terminado>=0.8.3 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.13.3)
Requirement already satisfied: jinja2 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (3.1.1)
Requirement already satisfied: argon2-cffi in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.3.0)
Requirement already satisfied: Send2Trash>=1.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.8.0)
Requirement already satisfied: prometheus-client in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.13.1)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.8/site-packages (from pexpect>4.3->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.8/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.5)
Requirement already satisfied: pure-eval in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.2)
Requirement already satisfied: executing in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: asttokens in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (2.0.5)
Requirement already satisfied: zipp>=3.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from importlib-resources>=1.4.0->jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (3.7.0)
Requirement already satisfied: pandocfilters>=1.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.5.0)
Requirement already satisfied: bleach in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (4.1.0)
Requirement already satisfied: defusedxml in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.1)
Requirement already satisfied: mistune<2,>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.4)
Requirement already satisfied: nbclient<0.6.0,>=0.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.13)
Requirement already satisfied: MarkupSafe>=2.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.1.1)
Requirement already satisfied: beautifulsoup4 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (4.10.0)
Requirement already satisfied: jupyterlab-pygments in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.1.2)
Requirement already satisfied: testpath in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.6.0)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.16.0)
Requirement already satisfied: argon2-cffi-bindings in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.2.0)
Requirement already satisfied: cffi>=1.0.1 in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.15.0)
Requirement already satisfied: soupsieve>1.2 in ./venv_jenkins/lib/python3.8/site-packages (from beautifulsoup4->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.3.1)
Requirement already satisfied: webencodings in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.3)
Requirement already satisfied: pycparser in ./venv_jenkins/lib/python3.8/site-packages (from cffi>=1.0.1->argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.21)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.7)
Installing collected packages: ipysankeywidget
Successfully installed ipysankeywidget-0.4.1

real	0m2.062s
user	0m1.881s
sys	0m0.096s
+++ pip_install plotly
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade plotly
Collecting plotly
  Using cached plotly-5.6.0-py2.py3-none-any.whl (27.7 MB)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from plotly) (1.16.0)
Collecting tenacity>=6.2.0
  Using cached tenacity-8.0.1-py3-none-any.whl (24 kB)
Installing collected packages: tenacity, plotly
Successfully installed plotly-5.6.0 tenacity-8.0.1

real	0m15.171s
user	0m9.755s
sys	0m1.904s
+++ pip_install pytest
+++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade pytest
Collecting pytest
  Using cached pytest-7.1.1-py3-none-any.whl (297 kB)
Collecting iniconfig
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting py>=1.8.2
  Using cached py-1.11.0-py2.py3-none-any.whl (98 kB)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.4.0)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.3)
Collecting tomli>=1.0.0
  Using cached tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting pluggy<2.0,>=0.12
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->pytest) (3.0.7)
Installing collected packages: iniconfig, tomli, py, pluggy, pytest
Successfully installed iniconfig-1.1.1 pluggy-1.0.0 py-1.11.0 pytest-7.1.1 tomli-2.0.1

real	0m2.288s
user	0m1.877s
sys	0m0.130s
++++ which coverage
+++ export COVERAGE=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/coverage
+++ COVERAGE=/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/coverage
++ pip_install pylint==2.4.4
++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade pylint==2.4.4
Collecting pylint==2.4.4
  Using cached pylint-2.4.4-py3-none-any.whl (302 kB)
Collecting astroid<2.4,>=2.3.0
  Using cached astroid-2.3.3-py3-none-any.whl (205 kB)
Collecting isort<5,>=4.2.5
  Using cached isort-4.3.21-py2.py3-none-any.whl (42 kB)
Collecting mccabe<0.7,>=0.6
  Using cached mccabe-0.6.1-py2.py3-none-any.whl (8.6 kB)
Collecting lazy-object-proxy==1.4.*
  Using cached lazy_object_proxy-1.4.3-cp38-cp38-manylinux1_x86_64.whl (58 kB)
Requirement already satisfied: six~=1.12 in ./venv_jenkins/lib/python3.8/site-packages (from astroid<2.4,>=2.3.0->pylint==2.4.4) (1.16.0)
Collecting wrapt==1.11.*
  Using cached wrapt-1.11.2-cp38-cp38-linux_x86_64.whl
Installing collected packages: wrapt, mccabe, lazy-object-proxy, isort, astroid, pylint
Successfully installed astroid-2.3.3 isort-4.3.21 lazy-object-proxy-1.4.3 mccabe-0.6.1 pylint-2.4.4 wrapt-1.11.2

real	0m2.899s
user	0m2.271s
sys	0m0.164s
++ pip_install numpy
++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade numpy
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.8/site-packages (1.22.3)

real	0m1.715s
user	0m1.531s
sys	0m0.104s
++ pip_install scipy
++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade scipy
Collecting scipy
  Using cached scipy-1.8.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (41.6 MB)
Requirement already satisfied: numpy<1.25.0,>=1.17.3 in ./venv_jenkins/lib/python3.8/site-packages (from scipy) (1.22.3)
Installing collected packages: scipy
Successfully installed scipy-1.8.0

real	0m6.444s
user	0m5.117s
sys	0m0.779s
++ pip_install pint==0.9
++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade pint==0.9
Collecting pint==0.9
  Using cached Pint-0.9-py2.py3-none-any.whl (138 kB)
Installing collected packages: pint
Successfully installed pint-0.9

real	0m1.476s
user	0m1.286s
sys	0m0.107s
++ pip_install ipywidgets==7.5.1
++ python /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pip install --upgrade ipywidgets==7.5.1
Collecting ipywidgets==7.5.1
  Using cached ipywidgets-7.5.1-py2.py3-none-any.whl (121 kB)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets==7.5.1) (5.1.1)
Requirement already satisfied: nbformat>=4.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets==7.5.1) (5.2.0)
Requirement already satisfied: ipython>=4.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets==7.5.1) (8.2.0)
Collecting widgetsnbextension~=3.5.0
  Using cached widgetsnbextension-3.5.2-py2.py3-none-any.whl (1.6 MB)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets==7.5.1) (6.10.0)
Requirement already satisfied: psutil in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (5.9.0)
Requirement already satisfied: jupyter-client<8.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (7.2.0)
Requirement already satisfied: tornado<7.0,>=5.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (6.1)
Requirement already satisfied: nest-asyncio in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (1.5.4)
Requirement already satisfied: matplotlib-inline<0.2.0,>=0.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (0.1.3)
Requirement already satisfied: debugpy<2.0,>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets==7.5.1) (1.6.0)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (0.2.0)
Requirement already satisfied: prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (3.0.28)
Requirement already satisfied: stack-data in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (0.2.0)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (44.0.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (4.8.0)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (5.1.1)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (0.18.1)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (0.7.5)
Requirement already satisfied: pygments>=2.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets==7.5.1) (2.11.2)
Requirement already satisfied: jupyter-core in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets==7.5.1) (4.9.2)
Requirement already satisfied: jsonschema!=2.5.0,>=2.4 in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets==7.5.1) (4.4.0)
Requirement already satisfied: notebook>=4.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (6.4.10)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from jedi>=0.16->ipython>=4.0.0->ipywidgets==7.5.1) (0.8.3)
Requirement already satisfied: importlib-resources>=1.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets==7.5.1) (5.6.0)
Requirement already satisfied: attrs>=17.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets==7.5.1) (21.4.0)
Requirement already satisfied: pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets==7.5.1) (0.18.1)
Requirement already satisfied: pyzmq>=17 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets==7.5.1) (22.3.0)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets==7.5.1) (2.8.2)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets==7.5.1) (0.4)
Requirement already satisfied: ipython-genutils in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.2.0)
Requirement already satisfied: nbconvert>=5 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (6.4.5)
Requirement already satisfied: terminado>=0.8.3 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.13.3)
Requirement already satisfied: jinja2 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (3.1.1)
Requirement already satisfied: argon2-cffi in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (21.3.0)
Requirement already satisfied: Send2Trash>=1.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (1.8.0)
Requirement already satisfied: prometheus-client in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.13.1)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.8/site-packages (from pexpect>4.3->ipython>=4.0.0->ipywidgets==7.5.1) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.8/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->ipython>=4.0.0->ipywidgets==7.5.1) (0.2.5)
Requirement already satisfied: pure-eval in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets==7.5.1) (0.2.2)
Requirement already satisfied: executing in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets==7.5.1) (0.8.3)
Requirement already satisfied: asttokens in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets==7.5.1) (2.0.5)
Requirement already satisfied: zipp>=3.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from importlib-resources>=1.4.0->jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets==7.5.1) (3.7.0)
Requirement already satisfied: pandocfilters>=1.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (1.5.0)
Requirement already satisfied: bleach in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (4.1.0)
Requirement already satisfied: defusedxml in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.7.1)
Requirement already satisfied: mistune<2,>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.8.4)
Requirement already satisfied: nbclient<0.6.0,>=0.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.5.13)
Requirement already satisfied: MarkupSafe>=2.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (2.1.1)
Requirement already satisfied: beautifulsoup4 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (4.10.0)
Requirement already satisfied: jupyterlab-pygments in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.1.2)
Requirement already satisfied: testpath in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.6.0)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets==7.5.1) (1.16.0)
Requirement already satisfied: argon2-cffi-bindings in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (21.2.0)
Requirement already satisfied: cffi>=1.0.1 in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (1.15.0)
Requirement already satisfied: soupsieve>1.2 in ./venv_jenkins/lib/python3.8/site-packages (from beautifulsoup4->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (2.3.1)
Requirement already satisfied: webencodings in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (0.5.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (21.3)
Requirement already satisfied: pycparser in ./venv_jenkins/lib/python3.8/site-packages (from cffi>=1.0.1->argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (2.21)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets==7.5.1) (3.0.7)
Installing collected packages: widgetsnbextension, ipywidgets
  Attempting uninstall: widgetsnbextension
    Found existing installation: widgetsnbextension 3.6.0
    Uninstalling widgetsnbextension-3.6.0:
      Successfully uninstalled widgetsnbextension-3.6.0
  Attempting uninstall: ipywidgets
    Found existing installation: ipywidgets 7.7.0
    Uninstalling ipywidgets-7.7.0:
      Successfully uninstalled ipywidgets-7.7.0
Successfully installed ipywidgets-7.5.1 widgetsnbextension-3.5.2

real	0m2.843s
user	0m2.072s
sys	0m0.202s
++ source /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print(scipy.__version__)'
1.8.0
+++ python -c 'import numpy; print(numpy.__version__)'
1.22.3
+++ python -c 'import pint; print(pint.__version__)'
0.9
+++ python -c 'import gpkit; print(gpkit.settings)'
/bin/sh: 1: mskexpopt: not found
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/gpkit/small_scripts.py:71: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if sweep is "sweep" and (isinstance(value, Iterable) or  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/gpkit/nomials/math.py:586: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if posy is 0:  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/gpkit/nomials/math.py:590: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if negy is 0:  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/gpkit/breakdowns.py:390: SyntaxWarning: "is" with a literal. Did you mean "=="?
  subhmap.units = None if units is 1 else units
.................................................................................................................................................................................................................
----------------------------------------------------------------------
Ran 209 tests in 12.026s

OK
Found no installed solvers, beginning a build.
# Building GPkit version 1.1
# Moving to the directory from which GPkit was imported.

Attempting to find and build solvers:

# Looking for `mosek_cli`
#   (A "success" is if mskexpopt complains that
#    we haven't specified a file for it to open.)
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Looks like `mskexpopt` was not found in the default PATH,
#  so let's try locating that binary ourselves.
#   Adding /home/jenkins/mosek/8/tools/platform/linux64x86/bin to the PATH
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##

Found mosek_cli in /home/jenkins/mosek/8/tools/platform/linux64x86/bin

# Looking for `mosek_conif`
#   Trying to import mosek...

Found mosek_conif in the default PYTHONPATH

# Looking for `cvxopt`
#   Trying to import cvxopt...

Found cvxopt in the default PYTHONPATH
Replaced found solvers (['mosek_cli', 'mosek_conif', 'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env

GPkit is now installed with solver(s) ['cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{'installed_solvers': ['cvxopt'], 'mosek_bin_dir': '/home/jenkins/mosek/8/tools/platform/linux64x86/bin', 'default_solver': 'cvxopt', 'just built!': True}
++ /jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/pylint.sh --reports=no
++ tee pylint.log
/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt/venv_jenkins/bin/pylint
pylint 2.4.4
astroid 2.3.3
Python 3.8.10 (default, Nov 26 2021, 20:14:08) 
[GCC 9.3.0]

--------------------------------------------------------------------
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)


--------------------------------------------------------------------
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)

[Pylint] Sleeping for 5 seconds due to JENKINS-32191...
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt')
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt')
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Successfully parsed console log
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpkit_Push_pylint/buildnode/reynolds/optimizer/cvxopt')
[Pylint] Skipping post processing
[Pylint] No filter has been set, publishing all 0 issues
[Pylint] Repository miner is not configured, skipping repository mining
[Pylint] Reference build recorder is not configured
[Pylint] Obtaining reference build from same job (reynolds,cvxopt)
[Pylint] Using reference build 'CE_gpkit_Push_pylint/buildnode=reynolds,optimizer=cvxopt #14' to compute new, fixed, and outstanding issues
[Pylint] Issues delta (vs. reference build): outstanding: 0, new: 0, fixed: 0
[Pylint] Evaluating quality gates
[Pylint] -> PASSED - Total (any severity): 0 - Quality QualityGate: 1
[Pylint] -> All quality gates have been passed
[Pylint] Health report is disabled - skipping
[Pylint] Created analysis result for 0 issues (found 0 new issues, fixed 0 issues)
[Pylint] Attaching ResultAction with ID 'pylint' to build 'CE_gpkit_Push_pylint/buildnode=reynolds,optimizer=cvxopt #15'.
[Checks API] No suitable checks publisher found.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: SUCCESS